---
title: Game distribution
slug: Games/Publishing_games/Game_distribution
tags:
  - CocoonIO
  - Game
  - Game publishing
  - Games
  - Gaming
  - HTML5
  - JavaScript
  - Mobile Game Distribution
  - Phonegap
  - Web Stores
  - distribution
---
<div>{{GamesSidebar}}</div>

<p class="summary">You've followed a <a href="/en-US/docs/Games/Workflows/2D_Breakout_game_pure_JavaScript">tutorial</a> or <a href="/en-US/docs/Games/Workflows/2D_Breakout_game_Phaser">two</a> and created an HTML5 game — that's great! This article covers all you need to know about the ways in which you can distribute your newly created game into the wild. This includes hosting it yourself online, submitting it to open marketplaces, and submitting it to closed ones like Google Play or the iOS App Store.</p>

<h2 id="Benefits_of_HTML5_over_native">Benefits of HTML5 over native</h2>

<p>Building games with HTML5 gives you extra advantages, such as:</p>

<h3 id="Multiplatform_bliss">Multiplatform bliss</h3>

<p>The technology itself is multiplatform, so you can write the code once and target multiple devices. This can range from low-end smartphones or tablets, through laptops and desktop computers, to smart TVs, watches or even a fridge if it can handle a modern enough browser.</p>

<p>You don't need to have separate teams to work on the same title targeting different platforms with only one code base to worry about. You can spend more time and money on <a href="/en-US/docs/Games/Techniques/Publishing_games/Game_promotion">Promotion</a> and <a href="/en-US/docs/Games/Techniques/Publishing_games/Game_monetization">Monetization</a>.</p>

<h3 id="Instant_updates">Instant updates</h3>

<p>You don't have to wait several days to have your game's code updated. If your user finds a bug, you can quickly fix it, update the system and refresh the game on your server to provide players with the updated code almost instantly.</p>

<h3 id="Direct_link_distribution_and_instant_play">Direct link distribution and instant play</h3>

<p>You don't have to tell people to search for your game in an app store with HTML5 games. You can just send them a direct URL to access the game, which they can then click to play the game right away without the need to use third party plugins or download and install a large package. Bear in mind that downloading the game might still take a bit of time depending on the size of the game and your network speed. In any case, it's a lot easier to promote the game if you can drive traffic directly where you want it and don't have to jump through lots of hoops to play.</p>

<h2 id="Desktop_vs_mobile">Desktop vs mobile</h2>

<p>The vast majority of the traffic we are interested in — people playing HTML5 games — comes from mobile devices so that's something you will have to focus on if you truly want to succeed. Mobile devices are where HTML5 technology can truly shine and show its advantages. There's no Flash, and HTML5 is fully multiplatform.</p>

<p>Trying to compete with desktop games directly is very difficult. You can put your HTML5 games into the same arena (see {{anch("Native desktop")}}, later on) and you should because it's good to diversify the platforms you support, but you have to remember that developers creating desktop games have years of experience, great tools and stable distribution channels. Many HTML5 games will target different market segments than native desktop games, e.g. simple time killer games to be played while on the move rather than huge immersive experiences. Such games are often designed to be played with two, or even one finger, so you can hold the device, play the game and be able to use the second hand for whatever you currently need.</p>

<p>Saying this, desktop platforms can be used for distribution quite easily with the availability of wrappers that can help you prepare native builds of your game see {{anch("Packaging games")}}. It's also nice to provide desktop controls for your games even if you're mostly targeting mobile. Players are enjoying your games on any platform available, and desktop is one of them. Plus, it is usually easier to build and test the game first on desktop, and then move on to debugging mobile.</p>

<h2 id="Publishing_the_game">Publishing the game</h2>

<p>There are three main options when it comes to publishing a game:</p>

<ul>
 <li>Self-hosting</li>
 <li>Publishers</li>
 <li>Stores</li>
</ul>

<p>Remember that the name of your game should be unique enough to be quickly <a href="/en-US/docs/Games/Techniques/Publishing_games/Game_promotion">promoted</a> later on, but also catchy enough, so people don't forget it.</p>

<h3 id="Self-hosting">Self-hosting</h3>

<p>If you are a front-end developer, you may already know what to do. An HTML5 game is just another website. You can upload it to a remote server, grab a catchy domain name, and host it yourself.</p>

<p>If you want to make money out of game dev, you should secure your source code one way or another against people who could easily take it and sell it as their own. You can concatenate and minify the code to make it smaller and uglify it so it's a lot harder to reverse engineer your game. Another good measure to take is to provide an online demo if you're planning on packaging it and selling it in a closed store like iTunes or Steam.</p>

<p>If you're working on a side project just for fun, then leaving the source open will benefit those who would like to learn from what you've created. You don't even have to worry about looking for a hosting provider as it's possible to <a href="http://dev.end3r.com/2014/02/host-your-html5-games-on-github-pages/">host games on GitHub Pages</a>. You'll get free hosting, version control and possible contributors if your project is interesting enough.</p>

<h3 id="Publishers_and_portals">Publishers and portals</h3>

<p>As the name may suggest, publishers can handle the publishing of your game for you. Whether you should go that way or not depends on what your plan is for having your game distributed: Do you want to send it wherever possible, or do you want to restrict its presence to those who've bought an <a href="/en-US/docs/Games/Publishing_games/Game_monetization">exclusive license</a>? It's up to you. Consider various options, experiment and conclude. Publishers will be explained in more detail in the <a href="/en-US/docs/Games/Techniques/Publishing_games/Game_monetization/">monetization</a> article.</p>

<p>There are also independent portals collecting interesting games like <a href="http://html5games.com/">HTML5Games.com</a>, <a href="https://www.gamearter.com/">GameArter.com</a>, <a href="http://www.marketjs.com/">MarketJS.com</a>, <a href="https://distribution.gameflare.com/">GameFlare</a>, <a href="http://gamedistribution.com/">GameDistribution.com</a> or <a href="https://developers.poki.com/">Poki</a> where you can send your game in and it will get some natural promotion because of the big traffic those sites attract. Some of these take your files and host them on their server, whereas others only link to your website or embed your game on their site. Such exposure may just provide <a href="/en-US/docs/Games/Techniques/Publishing_games/Game_promotion/">promotion</a> for your game, or if you have adverts shown beside your game (or other money making options) it may also provide monetization.</p>

<h3 id="Web_and_native_stores">Web and native stores</h3>

<p>You can also upload and publish your game directly to different types of stores, or marketplaces. To do that you'll have to prepare and package it to a build format specific for every app ecosystem you want to target it at. See {{anch("Marketplaces — distribution platforms")}} for more details of what marketplace types are available.</p>

<h2 id="Marketplaces_—_Distribution_platforms">Marketplaces — Distribution platforms</h2>

<p>Let's see what the available options are regarding the marketplaces/stores available for different platforms and operating systems.</p>

<div class="note">
<p><strong>Note</strong>: These are the most popular distribution platforms, but this is not to say these are the only options. Instead of trying to add your game to the thousands of others in the iOS store say, you can also try to find a niche and promote directly to the audience who would be interested in your games. Your creativity is critical here.</p>
</div>

<h3 id="Web_stores">Web stores</h3>

<p>The best platforms for HTML5 games are the Web-based stores. It's easy to <a href="http://code.tutsplus.com/tutorials/preparing-for-firefox-os--mobile-18515">prepare a game for them</a> as such an action involves little to no modification of the game itself — usually adding a manifest file containing necessary information in a zipped package containing all the resources is enough.</p>

<ul>
 <li><a href="https://chrome.google.com/webstore/">The Chrome Web Store</a> is also an attractive option — again, having a manifest file ready, zipping your game and filling in the online submission form is about all that's required.</li>
 <li><a href="https://www.tizenstore.com/">Tizen</a> is also putting a high value on supporting apps written in JavaScript. Their store is another available option.</li>
</ul>

<h3 id="Native_mobile_stores">Native mobile stores</h3>

<p>When it comes to the mobile market, there's the Apple App Store for iOS, Google Play for Android and all the rest of the competition. Native stores are already filled with established devs selling great games, so you have to be talented and lucky to get noticed.</p>

<ul>
 <li>The iOS App Store is quite hard to get into as there are strict requirements games have to meet, and you'll have to wait a week or two to get accepted. Plus, it's the most prominent mobile store, with hundreds of thousands of apps, so it's extremely hard to stand out from the crowd.</li>
 <li>Google Play's requirements are less strict, so the store is polluted with low quality games. It's still quite hard to be noticed there as the number of apps submitted daily is huge. It's harder to earn money here too — most of the paid games from iOS are published as free games on Android, with monetization coming from in-app purchases (IAPs) or ads.</li>
 <li>Other stores for native mobile platforms like Windows Phone or Blackberry are working hard to get a piece of the cake, and are way behind the competition. It can be good to submit your game there as it will be a lot easier to be noticed.</li>
</ul>

<p>If you're looking for more information about the different types of app stores you can check the <a href="https://en.wikipedia.org/wiki/List_of_mobile_software_distribution_platforms">List of mobile software distribution platforms</a> article on Wikipedia.</p>

<h3 id="Native_desktop">Native desktop</h3>

<p>To broaden your audience you can hit the desktop ecosystem with your HTML5 games too — just remember all the popular AAA games that take most of the market share, and think carefully about whether this suits your strategy. To do the desktop thing properly you should support all three operating systems: Windows, Mac OS and Linux. The biggest desktop store for games is definitely <a href="http://steamcommunity.com/">Steam</a> — indie developers can get on Steam via the <a href="https://partner.steamgames.com/steamdirect">Steam Direct</a> program. Remember that you have to deal with the cross-platform issues yourself by uploading separate versions for different platforms.</p>

<p>After you've covered Steam, there's plenty of buzz around initiatives like <a href="http://www.humblebundle.com/">Humble Bundle</a> where the most popular indie games get presented to a broader audience. It's more like an excellent promotional opportunity than a way to earn a lot of money, however, as the prices paid for the games in a bundle are usually quite low.</p>

<h2 id="Packaging_games">Packaging games</h2>

<p>The web is the first and the best choice for HTML5 games, but if you want to reach a broader audience and distribute your game in a closed ecosystem, you still can do that by packaging it. The good thing is that you don't need a few separate teams working on the same game for different platforms — you can build it once and use tools like <a href="/en-US/docs/">Phonegap</a> or<a href="/en-US/docs/"> CocoonIO</a> to package the game for native stores. The resulting packages are usually pretty reliable, but you should still test them and be on the lookout for small issues or bugs to fix.</p>

<h3 id="Available_tools">Available tools</h3>

<p>There are various tools to choose from depending on your skills, preferred frameworks or target platforms. It's all about picking the best tool for your particular task.</p>

<ul>
 <li><a href="http://phonegap.com/">Phonegap</a> — based on Cordova, this is the most popular tool for building/packaging JavaScript apps for native platforms.</li>
 <li><a href="http://cocoon.io/">CocoonIO</a> — the most popular tool specifically for building HTML5 games for multiple native stores. It has it's own performance optimizations for games rendered on Canvas and supports many game frameworks.</li>
 <li><a href="http://impactjs.com/ejecta">Ejecta</a> — a tool specifically for packaging games created with <a href="http://impactjs.com/">the ImpactJS</a> framework for iOS, built by the ImpactJS author. It provides seamless integration with ImpactJS, but it only supports only one framework and app store.</li>
 <li><a href="http://nwjs.io/">NW.js</a> — formerly known as Node-Webkit, this is the first choice when it comes to building a desktop game that works on Windows, Mac and Linux. The distributions are packaged with the WebKit engine to provide rendering on any platform.</li>
</ul>

<p>Other alternative tools are:</p>

<ul>
 <li><a href="https://software.intel.com/en-us/intel-xdk">Intel XDK</a> — an exciting alternative, similar to CocoonIO.</li>
 <li><a href="http://electron.atom.io/">Electron</a> — known as Atom Shell — is an open-sourced and cross-platform tool from GitHub.</li>
 <li><a href="http://manifoldjs.com/">Manifold.js</a> — this tool from the Microsoft team can create native distributions of HTML5 games from iOS, Android, and Windows.</li>
</ul>

<h2 id="Summary">Summary</h2>

<p>Distribution is the way to give the world access to your game. There are many options available and there's no single good answer as to which is the best. When you've published the game it's time to focus on <a href="/en-US/docs/Games/Techniques/Publishing_games/Game_promotion/">promotion</a> — letting people know your game exists. Without promotion, they wouldn't even be able to learn about it and play it.</p>
